function init()
	c.GFP("STAR")
	-- NAME & GRAPHIC --
	c.name = "Warp"
	c.gfxFile = "warpcore.png"

	-- STATS --
	c.mass = 20
	c.stat.armour = 50
	c.stationary = 1
	--c.invulnerable = 1

	-- TILES & POWER SLOTS --
	
	-- PRESET COMPONENTS --

	-- MISC --
	c.setExplodeSound("game_warp.wav")
	c.iconable = 0--no friend/foe icon
	--c.add_item("point",24)--only drops this if killed by player
	c.ignoreShipCollisions = 1
	c.ignoreShotCollisions = 1
	c.behavior = "warp"
	c.material = 4--energy debris
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 5	--from map_icons.png, which frame to use.
	return 0
end